<p-dataList [value]="systemOperacyjnys" [paginator]="true" [rows]="5"
            selectionMode="single">
  <p-header>
    Wybierz system operacyjny
  </p-header>
  <ng-template let-systemOperacyjny pTemplate="item">
    <div class="custom-table-row">
      <hr>
      <div class="ui-g ui-fluid systemOperacyjny-item">
        <div class="ui-g-5 ui-md-3" style="text-align:center">
          <img *ngIf="systemOperacyjny.image" [src]="systemOperacyjny.image" alt="Logo" height="200" width="200">
        </div>
        <div class="ui-g-3 ui-md-7 systemOperacyjny-details">
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Nazwa:</div>
            <div class="ui-g-3 ui-sm-2">{{systemOperacyjny.nazwa}}</div>
            <div class="ui-g-3 ui-sm-2">Producent:</div>
            <div class="ui-g-3 ui-sm-2">{{systemOperacyjny.producent}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Cena:</div>
            <div class="ui-g-3 ui-sm-2">{{systemOperacyjny.cena}}</div>
          </div>
        </div>
      </div>
      <button type="button" pButton icon="fa-plus" label="Dodaj" (click)="onAddPrimaryClick(systemOperacyjny)"></button>
      <hr>
    </div>
  </ng-template>
</p-dataList>
<p-growl [(value)]="msgs"></p-growl>
